<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CierreMatriculacionPlanteles
 *
 * @ORM\Table(name="cierre_matriculacion_planteles", indexes={@ORM\Index(name="cve_pag_mat", columns={"cve_pag_mat"}), @ORM\Index(name="cve_lic", columns={"cve_lic"})})
 * @ORM\Entity
 */
class CierreMatriculacionPlanteles
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cie_mat_pla", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCieMatPla;

    /**
     * @var integer
     *
     * @ORM\Column(name="total_alumnos", type="integer", nullable=false)
     */
    private $totalAlumnos;

    /**
     * @var string
     *
     * @ORM\Column(name="costo_total", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $costoTotal;

    /**
     * @var \PagosMatriculacion
     *
     * @ORM\ManyToOne(targetEntity="PagosMatriculacion")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pag_mat", referencedColumnName="ide_pag_mat")
     * })
     */
    private $cvePagMat;

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;



    /**
     * Get ideCieMatPla
     *
     * @return integer
     */
    public function getIdeCieMatPla()
    {
        return $this->ideCieMatPla;
    }

    /**
     * Set totalAlumnos
     *
     * @param integer $totalAlumnos
     *
     * @return CierreMatriculacionPlanteles
     */
    public function setTotalAlumnos($totalAlumnos)
    {
        $this->totalAlumnos = $totalAlumnos;
    
        return $this;
    }

    /**
     * Get totalAlumnos
     *
     * @return integer
     */
    public function getTotalAlumnos()
    {
        return $this->totalAlumnos;
    }

    /**
     * Set costoTotal
     *
     * @param string $costoTotal
     *
     * @return CierreMatriculacionPlanteles
     */
    public function setCostoTotal($costoTotal)
    {
        $this->costoTotal = $costoTotal;
    
        return $this;
    }

    /**
     * Get costoTotal
     *
     * @return string
     */
    public function getCostoTotal()
    {
        return $this->costoTotal;
    }

    /**
     * Set cvePagMat
     *
     * @param \CmBundle\Entity\PagosMatriculacion $cvePagMat
     *
     * @return CierreMatriculacionPlanteles
     */
    public function setCvePagMat(\CmBundle\Entity\PagosMatriculacion $cvePagMat = null)
    {
        $this->cvePagMat = $cvePagMat;
    
        return $this;
    }

    /**
     * Get cvePagMat
     *
     * @return \CmBundle\Entity\PagosMatriculacion
     */
    public function getCvePagMat()
    {
        return $this->cvePagMat;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return CierreMatriculacionPlanteles
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }
}
